package com.schoolinout.api.service.impl;

import com.schoolinout.api.mapper.ApiParentStudentRelationMapper;
import com.schoolinout.api.service.IApiParentStudentRelationService;
import com.schoolinout.system.domain.ParentStudent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author sakura
 * @date 2024/1/10 10:10:49 Wed
 */
@Service
public class ApiParentStudentRelationServiceImpl implements IApiParentStudentRelationService {

    @Autowired
    private ApiParentStudentRelationMapper relationMapper;

    @Override
    public ParentStudent listParentStudentSimple(Long parentId, Long studentId) {
        return relationMapper.selectOnlyOne(parentId, studentId);
    }
}
